Uploaded image for project: 'Zeppelin'
  1. Zeppelin
  2. ZEPPELIN-2472

Can't import matplotlib

    XMLWordPrintableJSON

    Details

    • Type: Bug
    • Status: Open
    • Priority: Major
    • Resolution: Unresolved
    • Affects Version/s: 0.6.2
    • Fix Version/s: None
    • Component/s: python-interpreter
    • Labels:
      None
    • Environment:

      Amazon EMR

      Description

      In the interpreter, when I try to import matplot lib as:
      %python
      import matplotlib.pyplot as plt

      I receive the error:
      ImportError: Gtk3 backend requires pygobject to be installed.

      I created this by creating an amazon emr with the following commands:
      aws emr create-cluster --name "4-node Zeppelin cluster (test)" --instance-type m3.xlarge --release-label emr-5.3.0 --instance-count 4 --ec2-attributes KeyName=myKey --use-default-roles --applications Name=Hive Name=Pig Name=Spark Name=Zeppelin --no-auto-terminate

      I am using python 2.7

      tried searching around for a fix but couldnt find one.

        Attachments

          Activity

            People

            • Assignee:
              Unassigned
              Reporter:
              kdailey Karl Dailey
            • Votes:
              0 Vote for this issue
              Watchers:
              3 Start watching this issue

              Dates

              • Created:
                Updated: